# fn() setBit
Set the bit with the given index to 1.

Defined in | <seqan/misc/bit_twiddling.h>
Signature | `void setBit(word, index);`

## Parameters

`word` | The word to set the bit of (IntegerConcept).
`index` | The index of the bit to set (IntegerConcept).

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn setBit
     *
     * @headerfile <seqan/misc/bit_twiddling.h>
     *
     * @brief Set the bit with the given index to 1.
     *
     * @signature void setBit(word, index);
     *
     * @param[in,out] word The word to set the bit of (@link IntegerConcept
     *                     @endlink).
     * @param[in] index The index of the bit to set (@link IntegerConcept @endlink).
     */